Bug 816671 - Problems updating screen
Problems updating screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-displaylink (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Decky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 12:25 EDT by Martin Langhoff
Modified: 2013-07-31 23:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:35:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of monitor showing corrupt/partially painted desktop (697.98 KB, image/jpeg)
2012-04-26 12:25 EDT, Martin Langhoff
no flags Details
Minimal xorg.conf that repros the issue (1.26 KB, application/octet-stream)
2012-04-26 15:56 EDT, Martin Langhoff
no flags Details
Xorg.0.log of a session that repros issues (45.24 KB, text/x-log)
2012-04-26 15:56 EDT, Martin Langhoff
no flags Details
dmesg | grep udl of a session that shows the issue (1.94 KB, text/plain)
2012-04-26 15:57 EDT, Martin Langhoff
no flags Details

  None (edit)
Description Martin Langhoff 2012-04-26 12:25:28 EDT
Created attachment 580519 [details]
Image of monitor showing corrupt/partially painted desktop

Description of problem:

Using a DisplayLink adapter (IOGear GUC2015V), the screen misses many paints and updates. Attaching a picture that shows a just started GNOME3 fallback desktop.

We get this with GNOME3 and with Sugar desktops.

Version-Release number of selected component (if applicable):

 xorg-x11-drv-displaylink-0-7.20110102git.gc17
 kernel is a custom 3.0.19 for XO-1.75 (ARM)

How reproducible:

100%


Steps to Reproduce:
1. configure a trivial xorg.conf
2. start your favourite WM.
3.
  
Actual results:

Partially painted screen

Expected results:

Normally painted screen

Additional info:
Comment 1 Martin Langhoff 2012-04-26 15:56:00 EDT
Created attachment 580540 [details]
Minimal xorg.conf that repros the issue
Comment 2 Martin Langhoff 2012-04-26 15:56:34 EDT
Created attachment 580541 [details]
Xorg.0.log of a session that repros issues
Comment 3 Martin Langhoff 2012-04-26 15:57:10 EDT
Created attachment 580542 [details]
dmesg | grep udl of a session that shows the issue
Comment 4 Martin Langhoff 2012-04-26 15:57:56 EDT
Exact output of uname -a is

Linux (none) 3.0.19_xo1.75-20120420.1635.olpc.d5c9101 #1 PREEMPT Fri Apr 20 16:46:14 EDT 2012 armv7l armv7l armv7l GNU/Linux
Comment 5 Fedora End Of Life 2013-07-03 20:09:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:35:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.